/**********************
Global
**********************/

:root {
    --black: #231f20;
    --orange: #ff6700;
    --light-orange: rgb(255 103 0 / 25%);
    --hover-shadow: 0 0 0 0.25rem rgb(255 103 0 / 25%);
}

*,
::before,
::after {
    box-sizing: border-box;
    font-feature-settings: "lnum" 1;
}

html {
    font-size: 16px;
}

body {
    display: grid;
    grid-template-areas:
        "header header"
        "aside main";
    grid-template-columns: auto 1fr;
    font-family: "Sen", sans-serif;
    row-gap: 20px;
    column-gap: 20px;
    margin: 0;
    padding: 20px;
    background-color: #F4F7F9;
}

body.noScroll {
    overflow: hidden;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0;
    font-size: inherit;
    font-weight: inherit;
}

a {
    text-decoration: none;
    color: inherit;
}

input,
button,
select,
textarea {
    background-color: transparent;
    font-family: inherit;
    font-size: 100%;
    margin: 0;
    border-radius: 6px;
}

input,
select,
textarea {
    border: 1px solid lightgray;
    padding: 10px;
}

input:not(.choices__input):focus,
select:focus,
textarea:focus {
    outline: 0;
    border-color: var(--light-orange);
    box-shadow: var(--hover-shadow);
}

input[readonly] {
    background-color: #f9f9f9;
    color: #7c7c7c;
}

button {
    cursor: pointer;
}

textarea {
    resize: none;
}

img,
picture,
video {
    display: block;
    height: auto;
    width: 100%;
}

dialog {
    padding: 0;
    max-width: none;
    max-height: none;
    border: none;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    display: none;
    position: fixed;
    top: 0;
    left: 0;
}

dialog[open] {
    display: flex;
}

@media (max-width: 800px) {
    body {
        grid-template-areas:
            "header"
            "aside"
            "main";
        grid-template-columns: 1fr;
    }
}

/************
Button Loading
************/


.button {
    background-color: var(--black);
    color: white;
    border-radius: 6px;
    text-align: center;
    font-size: 16px;
    padding: 5px 16px;
    width: 100%;
    appearance: none;
    cursor: pointer;
    display: block;
    border: none;
}

.button.auto {
    width: auto;
}

.button.center {
    margin: auto;
}

.button:hover {
    box-shadow: var(--hover-shadow);
}

.button.loading {
    position: relative !important;
    pointer-events: none !important;
    color: transparent !important;
}

.button.loading::after {
    content: "";
    position: absolute;
    width: 22px;
    height: 22px;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    border: 4px solid transparent;
    border-top-color: #fff;
    border-radius: 50%;
    animation: loading 1s ease infinite;
}

@keyframes loading {
    from {
        transform: rotate(0turn);
    }

    to {
        transform: rotate(1turn);
    }
}

/*************
RTE
 */

.rte h1,
.rte h2,
.rte h3,
.rte h4,
.rte h5,
.rte h6,
.rte p {
    font-size: revert;
    margin: revert;
}


/*******************
Container
*****************/

.container {
    max-width: 1200px;
    margin: auto;
}

/******************
Main
********************/

main {
    grid-area: main;
    display: grid;
    row-gap: 20px;
}

.card {
    background-color: white;
    border: 4px solid var(--light-orange);
    border-radius: 15px;
    padding: 20px;
}

.card.scroll {
    overflow-x: auto;
}

.cardTitle {
    font-size: 22px;
    font-weight: 700;
    margin-bottom: 10px;
}

@media (max-width: 800px) {
    .card {
        padding: 20px;
    }
}


/***************
Table
 */


.table {
    width: 100%;
}

.table thead {
    font-weight: 700;
    position: sticky;
    top: 0;
    background-color: white;
}

.table tbody tr {
    transition: 0.3s;
}

.table tbody tr:nth-of-type(odd) {
    background-color: #ECF1F5
}

.table tbody tr:nth-of-type(even) {
    background-color: #F4F7F9
}

.table tbody tr:hover {
    background-color: #f3ece8;
}

.table td {
    padding: 5px 10px;
    white-space: nowrap;
    font-size: 16px;
}

.table td.wrap {
    white-space: break-spaces;
}

.table td.flex {
    display: flex;
    gap: 5px;
}

/***************
Choices
 */

.choices {
    margin-bottom: 0;
}

.choices__inner {
    border-radius: 6px;
}

/*************
Swal
 */

.swal2-confirm.swal2-styled {
    background-color: var(--black);
}